# Own Items

Use the `ownMealLogs`query to obtain a list of [own recipes](/graphql/query/mutations/food-log/users-foods-and-recipes/own-recipe/create-own-recipe.md) and [own food items](/graphql/query/mutations/food-log/own-food-item/create-own-meal.md).

### Available Fields

The following fields will be displayed in the response:

| Field Name | Type                                                                                         | Description                                                                                                          |
| ---------- | -------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| `id`       | ID                                                                                           | Meal item ID.                                                                                                        |
| `mealTime` | [RecipeMealTime](https://docs.suggestic.com/graphql/objects/common/meal-times)               | Object that returns the valid meal times. Valid values are: `BREAKFAST`, `LUNCH`, `DINNER`, `SNACK`, `TREAT_DESSERT` |
| `mealType` | [mealType](https://docs.suggestic.com/graphql/objects/food-logs/meal-type#available-options) | Object that represents the source and type of a meal or food.                                                        |
| `name`     | String                                                                                       | Name of the meal                                                                                                     |

### Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  ownMealLogs {
    id
    mealTime
    mealType
    mealTypeDisplayName
    name
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "ownMealLogs": [
      {
        "id": "TWVhbExvZzpkODU0NTQzMi1mYTA1LTExZWItYTkxMi00NmVjYWU1YWNjMGU=",
        "mealTime": "LUNCH",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "Powercrunch Protein bar"
      },
      {
        "id": "TWVhbExvZzpkODRkMGE2YS1mYTA1LTExZWItYTkxMi00NmVjYWU1YWNjMGU=",
        "mealTime": "BREAKFAST",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "Powercrunch Protein bar"
      },
      {
        "id": "TWVhbExvZzpkODQ3OTM1YS1mYTA1LTExZWItYTkxMi00NmVjYWU1YWNjMGU=",
        "mealTime": "DINNER",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "Powercrunch Protein bar"
      },
      {
        "id": "TWVhbExvZzo4YjFmYzZhMC1mOTM5LTExZWItYjA2Zi0zYTUzNzAyM2NiOTg=",
        "mealTime": "DINNER",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "avocado"
      },
      {
        "id": "TWVhbExvZzo4YjE5NTExYy1mOTM5LTExZWItYjA2Zi0zYTUzNzAyM2NiOTg=",
        "mealTime": "BREAKFAST",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "avocado"
      },
      {
        "id": "TWVhbExvZzo4YjEzZWI2ZS1mOTM5LTExZWItYjA2Zi0zYTUzNzAyM2NiOTg=",
        "mealTime": "LUNCH",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "avocado"
      },
      {
        "id": "TWVhbExvZzphMTQxYjA3YS1mNjRmLTExZWItOGMxYS00ZTA2NTcwZDVkZGI=",
        "mealTime": "LUNCH",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "Powercrunch Protein bar"
      },
      {
        "id": "TWVhbExvZzphMTNlNTRkZS1mNjRmLTExZWItOGMxYS00ZTA2NTcwZDVkZGI=",
        "mealTime": "BREAKFAST",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "Powercrunch Protein bar"
      },
      {
        "id": "TWVhbExvZzphMTM4YTgwNC1mNjRmLTExZWItOGMxYS00ZTA2NTcwZDVkZGI=",
        "mealTime": "DINNER",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "Powercrunch Protein bar"
      },
      {
        "id": "TWVhbExvZzo5MmViMmVjYS1mNjRmLTExZWItYTBkOS1jMjkxODE3MGE2ZTg=",
        "mealTime": "DINNER",
        "mealType": "OWN_ITEM",
        "mealTypeDisplayName": "Own Item",
        "name": "Powercrunch Protein bar"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/food-log/legacy/own-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
